%define		subver	2017-03-08
%define		ver		%(echo %{subver} | tr -d -)
%define		plugin		redirect
%define		php_min_version 5.3.0
%include	/usr/lib/rpm/macros.php
Summary:	DokuWiki redirect plugin
Name:		dokuwiki-plugin-%{plugin}
Version:	%{ver}
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	https://github.com/splitbrain/dokuwiki-plugin-redirect/archive/%{subver}/%{plugin}-%{subver}.tar.gz
# Source0-md5:	99a8d76dc828f9f0b6bf4b91d7bb0ab2
Patch0:		confdir.patch
URL:		https://www.dokuwiki.org/plugin:redirect
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.520
Requires:	dokuwiki >= 20131208
Requires:	php(core) >= %{php_min_version}
Requires:	php(pcre)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}
%define		find_lang 	%{_usrlibrpm}/dokuwiki-find-lang.sh %{buildroot}

%description
Redirects page accesses to other pages or external sites using a
central configuration file.

%prep
%setup -qc
mv *-%{plugin}-*/* .
%patch0 -p1

%build
version=$(awk '/^date/{print $2}' plugin.info.txt)
if [ "$(echo "$version" | tr -d -)" != %{version} ]; then
	: %%{version} mismatch
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a . $RPM_BUILD_ROOT%{plugindir}
%{__rm} $RPM_BUILD_ROOT%{plugindir}/README
%{__rm} $RPM_BUILD_ROOT%{plugindir}/*/.gitignore

install -d $RPM_BUILD_ROOT%{dokuconf}
touch $RPM_BUILD_ROOT%{dokuconf}/%{plugin}.conf

%find_lang %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README
%attr(660,root,http) %config(noreplace) %verify(not md5 mtime size) %{dokuconf}/%{plugin}.conf
%dir %{plugindir}
%{plugindir}/*.php
%{plugindir}/*.svg
%{plugindir}/*.txt
%{plugindir}/conf
%changelog
* Thu Aug 17 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dokuwiki-plugin-redirect.git;a=log;h=master

* Thu Aug 17 2017 Elan Ruusamäe <glen@delfi.ee> dc649a0
- up to 2017-03-08

* Wed Mar 13 2013 Elan Ruusamäe <glen@delfi.ee> 3f3ad53
- up to 20120918

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 4767e91
- use php(core) as dependency to require php version
- release 5 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 5f70b2b
- use virtual php extension deps (to be independant of php version)
- release 5 (by relup.sh)

* Wed May 30 2012 Elan Ruusamäe <glen@pld-linux.org> 553cd76
- put config to confdir

* Wed May 30 2012 Elan Ruusamäe <glen@pld-linux.org> a18681b
- add default config placeholder

* Wed May 30 2012 Elan Ruusamäe <glen@pld-linux.org> eb4fef7
- new

